Create a debit against a spending limit
curl --request POST \
--url https://developer-api.squads.so/api/v1/smart-accounts/{smart_account_address}/spending-limits/{spending_limit_address}/transactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-squads-network: <x-squads-network>' \
--data '
{
"amount": "<string>",
"signer_address": "<string>",
"recipient_address": "<string>",
"fee_config": {
"currency": "<string>",
"payer_address": "<string>",
"self_managed_fees": false
}
}
'import requests
url = "https://developer-api.squads.so/api/v1/smart-accounts/{smart_account_address}/spending-limits/{spending_limit_address}/transactions"
payload = {
"amount": "<string>",
"signer_address": "<string>",
"recipient_address": "<string>",
"fee_config": {
"currency": "<string>",
"payer_address": "<string>",
"self_managed_fees": False
}
}
headers = {
"x-squads-network": "<x-squads-network>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-squads-network': '<x-squads-network>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
amount: '<string>',
signer_address: '<string>',
recipient_address: '<string>',
fee_config: {currency: '<string>', payer_address: '<string>', self_managed_fees: false}
})
};
fetch('https://developer-api.squads.so/api/v1/smart-accounts/{smart_account_address}/spending-limits/{spending_limit_address}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transaction": "<string>",
"fee": {
"amount": "<string>",
"amount_decimal": "<string>",
"currency": "<string>",
"sol_equivalent": {
"amount": "<string>",
"amount_decimal": "<string>"
}
}
}{
"status": 123,
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"expected": "<string>",
"actual": "<string>"
}
],
"metadata": {
"status": 123,
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"resource_id": "<string>",
"useful_links": [
"<string>"
]
},
"custom": {},
"simulation_logs": [
"<string>"
]
}{
"status": 123,
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"expected": "<string>",
"actual": "<string>"
}
],
"metadata": {
"status": 123,
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"resource_id": "<string>",
"useful_links": [
"<string>"
]
},
"custom": {},
"simulation_logs": [
"<string>"
]
}{
"status": 123,
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"expected": "<string>",
"actual": "<string>"
}
],
"metadata": {
"status": 123,
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"resource_id": "<string>",
"useful_links": [
"<string>"
]
},
"custom": {},
"simulation_logs": [
"<string>"
]
}Spending Limits
Use Spending Limit
Use a spending limit to move tokens between addresses
POST
/
api
/
v1
/
smart-accounts
/
{smart_account_address}
/
spending-limits
/
{spending_limit_address}
/
transactions
Create a debit against a spending limit
Use a spending limit to move tokens between addresses.
Key Concepts
- Spending Limit Validation: The amount must be within the remaining limit
- Transaction Signing: Only authorized signers can create transactions
- Destination: Tokens will be sent to the specified destination address
Important Notes
- The amount cannot exceed the remaining limit
- The spending limit must not be expired
- The destination must be an allowed address if the spending limit has destination restrictions
Authorizations
UUID-based API key provided by Squads
Headers
Specifies the network for the API request
Available options:
mainnet, devnet Path Parameters
The address of the smart account
The address of the spending limit
Body
application/json
Was this page helpful?
⌘I